﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Windows.Controls.Theming;
using Microsoft.Windows.Controls.DataVisualization;
using System.Windows.Browser;
using System.Windows.Shapes;

namespace Test_Theme
{
	public partial class Page : UserControl
	{
        public Page()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Page_Loaded);
        }

        void Page_Loaded(object sender, RoutedEventArgs e)
        {
            classes.DragManager dm = new Test_Theme.classes.DragManager(grid_buttons.Parent as UIElement);
            dm.EnableDragableElement(grid_buttons);

            btn_apply.Click += new RoutedEventHandler(btn_apply_Click);
            btn_reset.Click += new RoutedEventHandler(btn_reset_Click); 
            btn_theme1.Click += new RoutedEventHandler(btn_theme1_Click);
            btn_theme2.Click += new RoutedEventHandler(btn_theme2_Click);
            btn_theme3.Click += new RoutedEventHandler(btn_theme3_Click);
            btn_theme4.Click += new RoutedEventHandler(btn_theme4_Click);
            btn_theme5.Click += new RoutedEventHandler(btn_theme5_Click);
            btn_theme6.Click += new RoutedEventHandler(btn_theme6_Click);
            grid_dawn.MouseLeftButtonDown += new MouseButtonEventHandler(grid_dawn_MouseLeftButtonDown);
            grid_copy.MouseLeftButtonDown += new MouseButtonEventHandler(grid_copy_MouseLeftButtonDown);

            
            ShowTheme("ExpressionLight.xaml");
        }

        void grid_copy_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (HtmlPage.IsPopupWindowAllowed)
            {
                HtmlPage.PopupWindow(new Uri("http://www.solspectrum.co.kr/"), null, null);
            }
            else
            {
                HtmlPage.Window.Navigate(new Uri("http://www.solspectrum.co.kr/"));
            }
        }

        void grid_dawn_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if (HtmlPage.IsPopupWindowAllowed)
            {
                HtmlPage.PopupWindow(new Uri("http://atdawn.tistory.com"), null, null);
            }
            else
            {
                HtmlPage.Window.Navigate(new Uri("http://atdawn.tistory.com"));
            }
        }

        void btn_theme1_Click(object sender, RoutedEventArgs e)
        { 
            ShowTheme("ShinyBlue.xaml");
        }

        void btn_theme2_Click(object sender, RoutedEventArgs e)
        {
          
            ShowTheme("ShinyRed.xaml");
        }

        void btn_theme3_Click(object sender, RoutedEventArgs e)
        {
           
            ShowTheme("RainierOrange.xaml");
        }

        void btn_theme4_Click(object sender, RoutedEventArgs e)
        {
           
            ShowTheme("RainierPurple.xaml");
        }

        void btn_theme5_Click(object sender, RoutedEventArgs e)
        {
            
            ShowTheme("ExpressionDark.xaml");
        }

        void btn_theme6_Click(object sender, RoutedEventArgs e)
        {
          
            ShowTheme("ExpressionLight.xaml");
        }

      
        //적용 버튼
        void btn_apply_Click(object sender, RoutedEventArgs e)
        {
            string fileName = txt_themeFileName.Text;
            if(!fileName.Equals(string.Empty))
            {
                ShowTheme(fileName);
            }
           
        }
        void btn_reset_Click(object sender, RoutedEventArgs e)
        {
            grid_theme_bg.Children.Clear();

            AllControls demo = new AllControls();
            grid_theme_bg.Children.Add(demo);

           
        }

        private void ShowTheme(string fileName)
        {
            try
            {
                grid_theme_bg.Children.Clear();

                AllControls demo = new AllControls();
                grid_theme_bg.Children.Add(demo);

                Uri uri = new Uri(@"Test_Theme;component/Themes/" + fileName, UriKind.Relative);
                ImplicitStyleManager.SetResourceDictionaryUri(demo, uri);
                ImplicitStyleManager.SetApplyMode(demo, ImplicitStylesApplyMode.Auto);
                ImplicitStyleManager.Apply(demo);
            }
            catch (System.Exception e)
            {
                MessageBox.Show("에러~~~~~~~");
            }
           
        }
	}
}